% ------------------------------------------------------------------------------
% Get the basic structure to store misc information.
%
% SYNTAX :
%  [o_dataStruct] = get_apx_misc_data_init_struct( ...
%    a_msgType, a_msgNumber, a_msgRedundancy, a_msgDate)
%
% INPUT PARAMETERS :
%   a_msgType       : type of the message used to transmit the information
%   a_msgNumber     : number of the message used to transmit the information
%   a_msgRedundancy : redundancy of the message used to transmit the information
%   a_msgDate       : date of the message used to transmit the information
%
% OUTPUT PARAMETERS :
%   o_dataStruct : misc information initialized structure
%
% EXAMPLES :
%
% SEE ALSO : 
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   09/22/2015 - RNU - creation
% ------------------------------------------------------------------------------
function [o_dataStruct] = get_apx_misc_data_init_struct( ...
   a_msgType, a_msgNumber, a_msgRedundancy, a_msgDate)

% output parameters initialization
o_dataStruct = struct( ...
   'msgType', a_msgType, ...
   'msgDate', a_msgDate, ...
   'msgNum', a_msgNumber, ...
   'msgRed', a_msgRedundancy, ...
   'label', '', ...
   'raw', '', ...
   'rawFormat', '', ...
   'rawUnit', '', ...
   'value', '', ...
   'valueAdj', '', ...
   'format', '', ...
   'unit', '' ...
   );

return
