% ------------------------------------------------------------------------------
% Get the basic structure to store NEMO cycle timming information of a given
% cycle.
%
% SYNTAX :
%  [o_timeStruct] = get_nemo_float_time_init_struct(a_cycleNum)
%
% INPUT PARAMETERS :
%   a_cycleNum : concerned cycle number
%
% OUTPUT PARAMETERS :
%   o_timeStruct : cycle timing structure
%
% EXAMPLES :
%
% SEE ALSO :
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   04/27/2018 - RNU - creation
% ------------------------------------------------------------------------------
function [o_timeStruct] = get_nemo_float_time_init_struct(a_cycleNum)

o_timeStruct = struct( ...
   'cycleNum', a_cycleNum, ...
   'floatStartupDate', [], ...
   'xmit_descent_start_time', [], ...
   'xmit_parking_start_time', [], ...
   'xmit_upcast_start_time', [], ...
   'xmit_ascent_start_time', [], ...
   'xmit_ascent_end_time', [], ...
   'xmit_surface_start_time', [], ...
   'descentStartDate', [], ...
   'descentStartAdjDate', [], ...
   'parkStartDate', [], ...
   'parkStartAdjDate', [], ...
   'upcastStartDate', [], ...
   'upcastStartAdjDate', [], ...
   'ascentStartDate', [], ...
   'ascentStartAdjDate', [], ...
   'ascentEndDate', [], ...
   'ascentEndAdjDate', [], ...
   'surfaceStartDate', [], ...
   'surfaceStartAdjDate', [], ...
   'parkDate', [], ...
   'parkAdjDate', [], ...
   'parkPres', [], ...
   'parkAdjPres', [], ...
   'rafosDate', [], ...
   'rafosAdjDate', [], ...
   'rafosPres', [], ...
   'rafosAdjPres', [], ...
   'profileDate', [], ...
   'profileAdjDate', [], ...
   'profilePres', [], ...
   'profileAdjPres', [], ...
   'gpsDate', [], ...
   'iridiumDate', [] ...
   );

return
