% ------------------------------------------------------------------------------
% Get the basic structure to store one cycle time information.
%
% SYNTAX :
%  [o_dataStruct] = get_nva_cycle_time_init_struct()
%
% INPUT PARAMETERS :
%
% OUTPUT PARAMETERS :
%   o_dataStruct : one cycle time initialized structure
%
% EXAMPLES :
%
% SEE ALSO : 
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   04/28/2016 - RNU - creation
% ------------------------------------------------------------------------------
function [o_dataStruct] = get_nva_cycle_time_init_struct()

% default values
global g_decArgo_dateDef;
global g_decArgo_presDef;


% output parameters initialization
o_dataStruct = struct( ...
   'cycleStartTime', g_decArgo_dateDef, ...
   'cycleStartTimeAdj', g_decArgo_dateDef, ...
   'numberOfValveActionAtSurface', -1, ...
   'descentToParkStartTime', g_decArgo_dateDef, ...
   'descentToParkStartTimeAdj', g_decArgo_dateDef, ...
   'firstStabilizationTime', g_decArgo_dateDef, ...
   'firstStabilizationTimeAdj', g_decArgo_dateDef, ...
   'firstStabilizationPres', g_decArgo_presDef, ...
   'descentToParkEndTime', g_decArgo_dateDef, ...
   'descentToParkEndTimeAdj', g_decArgo_dateDef, ...
   'descentToProfStartTime', g_decArgo_dateDef, ...
   'descentToProfStartTimeAdj', g_decArgo_dateDef, ...
   'descentToProfEndTime', g_decArgo_dateDef, ...
   'descentToProfEndTimeAdj', g_decArgo_dateDef, ...
   'ascentStartTime', g_decArgo_dateDef, ...
   'ascentStartTimeAdj', g_decArgo_dateDef, ...
   'ascentEndTime', g_decArgo_dateDef, ...
   'ascentEndTimeAdj', g_decArgo_dateDef, ...
   'gpsTime', g_decArgo_dateDef, ...
   'gpsTimeAdj', g_decArgo_dateDef, ...
   'timeToGpsFix', -1, ...
   'timeToTransmitTechPacket', -1, ...
   'transStartTime', g_decArgo_dateDef, ...
   'transStartTimeAdj', g_decArgo_dateDef, ...
   'firstMessageTime', g_decArgo_dateDef, ...
   'lastMessageTime', g_decArgo_dateDef, ...
   'clockDrift', [] ...
   );

return
