% ------------------------------------------------------------------------------
% Get the basic structure to store Arvor Deep cycle timming information.
%
% SYNTAX :
%  [o_timeStruct] = get_prv_ir_float_time_init_struct(a_cycleNum)
%
% INPUT PARAMETERS :
%   a_cycleNum : cycle number
%
% OUTPUT PARAMETERS :
%   o_timeStruct : cycle timing structure
%
% EXAMPLES :
%
% SEE ALSO :
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   12/09/2019 - RNU - creation
% ------------------------------------------------------------------------------
function [o_timeStruct] = get_prv_ir_float_time_init_struct(a_cycleNum)

o_timeStruct = struct( ...
   'cycleNum', a_cycleNum, ...
   'cycleStartDate', [], ...
   'cycleStartDateAdj', [], ...
   'descentToParkStartDate', [], ...
   'descentToParkStartDateAdj', [], ...
   'firstStabDate', [], ...
   'firstStabDateAdj', [], ...
   'firstStabPres', [], ...
   'descentToParkEndDate', [], ...
   'descentToParkEndDateAdj', [], ...
   'descentToProfStartDate', [], ...
   'descentToProfStartDateAdj', [], ...
   'descentToProfEndDate', [], ...
   'descentToProfEndDateAdj', [], ...
   'ascentStartDate', [], ...
   'ascentStartDateAdj', [], ...
   'ascentEndDate', [], ...
   'ascentEndDateAdj', [], ...
   'transStartDate', [], ...
   'transStartDateAdj', [], ...
   'gpsDate', [], ...
   'eolStartDate', [], ...
   'eolStartDateAdj', [], ...
   'firstGroundingDate', [], ...
   'firstGroundingDateAdj', [], ...
   'firstGroundingPres', [], ...
   'secondGroundingDate', [], ...
   'secondGroundingDateAdj', [], ...
   'secondGroundingPres', [], ...
   'firstEmergencyAscentDate', [], ...
   'firstEmergencyAscentDateAdj', [], ...
   'firstEmergencyAscentPres', [], ...
   'iceDetected', -1, ...
   'cycleClockOffset', [] ...
   );

return
