% ------------------------------------------------------------------------------
% Get the basic structure to store N_CYCLE trajectory information.
%
% SYNTAX :
%  [o_trajNCycleStruct] = get_traj_n_cycle_init_struct(a_cycleNum, a_profNum)
%
% INPUT PARAMETERS :
%   a_cycleNum : cycle number
%   a_profNum  : profile number
%
% OUTPUT PARAMETERS :
%   o_trajNCycleStruct : N_CYCLE trajectory initialized structure
%
% EXAMPLES :
%
% SEE ALSO : 
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   03/07/2013 - RNU - creation
% ------------------------------------------------------------------------------
function [o_trajNCycleStruct] = get_traj_n_cycle_init_struct(a_cycleNum, a_profNum)

% output parameters initialization
o_trajNCycleStruct = struct( ...
   'cycleNumber', a_cycleNum, ...
   'outputCycleNumber', -1, ...
   'profileNumber', a_profNum, ...
   'juldCycleStart', '', ...
   'juldCycleStartStatus', '', ...
   'juldDescentStart', '', ...
   'juldDescentStartStatus', '', ...
   'juldFirstStab', '', ...
   'juldFirstStabStatus', '', ...
   'juldDescentEnd', '', ...
   'juldDescentEndStatus', '', ...
   'juldParkStart', '', ...
   'juldParkStartStatus', '', ...
   'juldParkEnd', '', ...
   'juldParkEndStatus', '', ...
   'juldDeepDescentEnd', '', ...
   'juldDeepDescentEndStatus', '', ...
   'juldDeepParkStart', '', ...
   'juldDeepParkStartStatus', '', ...
   'juldAscentStart', '', ...
   'juldAscentStartStatus', '', ...
   'juldDeepAscentStart', '', ...
   'juldDeepAscentStartStatus', '', ...
   'juldAscentEnd', '', ...
   'juldAscentEndStatus', '', ...
   'juldTransmissionStart', '', ...
   'juldTransmissionStartStatus', '', ...
   'juldFirstMessage', '', ...
   'juldFirstMessageStatus', '', ...
   'juldFirstLocation', '', ...
   'juldFirstLocationStatus', '', ...
   'juldLastLocation', '', ...
   'juldLastLocationStatus', '', ...
   'juldLastMessage', '', ...
   'juldLastMessageStatus', '', ...
   'juldTransmissionEnd', '', ...
   'juldTransmissionEndStatus', '', ...
   'clockOffset', '', ...
   'grounded', 'N', ...
   'repParkPres', '', ...
   'repParkPresStatus', '', ...
   'configMissionNumber', '', ...
   'cycleNumberIndex', a_cycleNum, ...
   'dataMode', 'R', ...
   'cyclePhase', '', ...
   'surfOnly', 0);

return
