% ------------------------------------------------------------------------------
% Ecriture d'une entte d'un fichier kml.
%
% SYNTAX :
%   ge_put_header1(a_fId, a_fileDescription, a_fileName)
%
% INPUT PARAMETERS :
%   a_fId             : pointeur du fichier kml  crire
%   a_fileDescription : contenu du champ 'description'
%   a_fileName        : contenu du champ 'name'
%
% OUTPUT PARAMETERS :
%
% EXAMPLES :
%
% SEE ALSO : ge_rgb_2_hex
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   01/01/2009 - RNU - creation
% ------------------------------------------------------------------------------
function ge_put_header1(a_fId, a_fileDescription, a_fileName)

% blanc pour la position de lcher
launchPosColor = ge_rgb_2_hex(1, 1, 1);
% rouge pour les positions Argos de classe 1
argosPos1Color = ge_rgb_2_hex(1, 0, 0);
% orange pour les positions Argos de classe 2
argosPos2Color = ge_rgb_2_hex(1, 0.8745, 0);
% vert pour les positions Argos de classe 3
argosPos3Color = ge_rgb_2_hex(0, 1, 0);
% cyan pour les positions GPS
argosPosGColor = ge_rgb_2_hex(0, 1, 1);
% rouge pour la trajectoire de surface
argosTrajColor = ge_rgb_2_hex(1, 0, 0);
% blanc pour les dplacements
dispColor = ge_rgb_2_hex(1, 1, 1);

header = [ ...
   '<?xml version="1.0" encoding="UTF-8"?>', 10, ...
   '<kml xmlns="http://earth.google.com/kml/2.1">', 10, ...
   '<Document>', 10, ...
   9, '<description><![CDATA[', a_fileDescription, ']]></description>', 10, ...
   9, '<open>1</open>', 10, ...
   9, '<name>', a_fileName, '</name>', 10, ...
   9, '<Style id="CUR_LAUNCH_POS">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' launchPosColor], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/pal5/icon7.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="OLD_LAUNCH_POS">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['64' launchPosColor], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/pal5/icon7.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="CUR_ARGOS_POS_1">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' argosPos1Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...   
   9, '<Style id="OLD_ARGOS_POS_1">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['64' argosPos1Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="CUR_ARGOS_POS_2">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' argosPos2Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...   
   9, '<Style id="OLD_ARGOS_POS_2">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['64' argosPos2Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...   
   9, '<Style id="CUR_ARGOS_POS_3">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' argosPos3Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...     
   9, '<Style id="OLD_ARGOS_POS_3">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['64' argosPos3Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="CUR_ARGOS_POS_G">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' argosPosGColor], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="OLD_ARGOS_POS_G">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['64' argosPosGColor], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="PROF_POS_LOC">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' argosPos3Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...     
   9, '<Style id="PROF_POS_INTERP">', 10, ...
   9, 9, '<IconStyle>', 10, ...
   9, 9, 9, '<color>', ['64' argosPos1Color], '</color>', 10, ...
   9, 9, 9, '<Icon>', 10, ...
   9, 9, 9, 9, '<href>http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png</href>', 10, ...
   9, 9, 9, '</Icon>', 10, ...
   9, 9, '</IconStyle>', 10, ...
   9, 9, '<LabelStyle>', 10, ...
   9, 9, 9, '<scale>0.6</scale>', 10, ...
   9, 9, '</LabelStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="CUR_ARGOS_TRAJ">', 10, ...
   9, 9, '<LineStyle>', 10, ...
   9, 9, 9, '<color>', ['ff' argosTrajColor], '</color>', 10, ...
   9, 9, 9, '<width>3</width>', 10, ...
   9, 9, '</LineStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="OLD_ARGOS_TRAJ">', 10, ...
   9, 9, '<LineStyle>', 10, ...
   9, 9, 9, '<color>', ['64' argosTrajColor], '</color>', 10, ...
   9, 9, 9, '<width>3</width>', 10, ...
   9, 9, '</LineStyle>', 10, ...
   9, '</Style>', 10, ...   
   9, '<Style id="CUR_DISP">', 10, ...
   9, 9, '<LineStyle>', 10, ...
   9, 9, 9, '<color>', ['FF' dispColor], '</color>', 10, ...
   9, 9, 9, '<width>2</width>', 10, ...
   9, 9, '</LineStyle>', 10, ...
   9, '</Style>', 10, ...
   9, '<Style id="OLD_DISP">', 10, ...
   9, 9, '<LineStyle>', 10, ...
   9, 9, 9, '<color>', ['64' dispColor], '</color>', 10, ...
   9, 9, 9, '<width>2</width>', 10, ...
   9, 9, '</LineStyle>', 10, ...
   9, '</Style>', 10, ...
   ];

fprintf(a_fId, '%s', header);

return
