% ------------------------------------------------------------------------------
% Get the basic structure to store a payload profile information.
%
% SYNTAX :
%  [o_profStruct] = get_profile_payload_init_struct
%
% INPUT PARAMETERS :
%
% OUTPUT PARAMETERS :
%   o_profStruct : payload profile initialized structure
%
% EXAMPLES :
%
% SEE ALSO : 
% AUTHORS  : Jean-Philippe Rannou (Altran)(jean-philippe.rannou@altran.com)
% ------------------------------------------------------------------------------
% RELEASES :
%   02/20/2017 - RNU - creation
% ------------------------------------------------------------------------------
function [o_profStruct] = get_profile_payload_init_struct

% output parameters initialization
o_profStruct = struct( ...
   'phaseName', '', ...
   'phaseNum', '', ...
   'subSampling', '', ...
   'subSamplingNum', '', ...
   'subSamplingRate', '', ...
   'sensorName', '', ...
   'sensorNum', '', ...
   'sensorNumDecArgo', '', ...
   'date', '', ...
   'juld', '', ...
   'length', '', ...
   'width', '', ...
   'type', '', ...
   'paramName', [], ...
   'paramNameDecArgo', [], ...
   'paramNumberWithSubLevels', '', ... % position, in the paramList of the parameters with a sublevel
   'paramNumberOfSubLevels', '', ... % number of sublevels for the concerned parameter
   'paramColumnNumber', '', ... % column number for each parameter data in the 'data' array
   'data', [], ...
   'ptsForDoxy', [] ... % to store PTS data used to compute DOXY
   );

return
